#!/bin/bash

if [ -z "$1" -o -z "$2" ]; then
  echo "`basename $0`: Syntax error. Use isdnkmon.sh month year cents/min, e.g."
  echo "`basename $0`: isdninfo Nov 2001 1.9."
  echo "`basename $0`: For information and bug reports call +49 821/882955"
  echo "`basename $0`: or iblech@web.de. Thanks!"
  exit 1
fi

MONTH=$1
YEAR=$2
KOSTEN=$3
if test -z "$KOSTEN"; then KOSTEN=0; fi


isdnMAIN="`{ cat /var/log/isdn.log | egrep -a "^$MONTH [0-9 ][0-9] [0-9][0-9]:[0-9][0-9]:[0-9][0-9] $YEAR" | grep -a "0|O| 16|" | gawk -F '|' '{ print $4; }' | gawk '$1 > 0;' | tr '\n' '+'; echo 0; } | bc`"
isdnSEKUNDEN=0
isdnMINUTEN=0
isdnSTUNDEN=0
isdnTAGE=0


isdnSEKUNDEN="`expr $isdnMAIN`"
isdnMINUTEN="`expr $isdnMAIN / 60`"
isdnSTUNDEN="`expr $isdnMAIN / 3600`"
isdnTAGE="`expr $isdnSTUNDEN / 24`"

isdnKOSTEN="`perl -e "print $isdnMINUTEN * $KOSTEN / 100; "`"
isdnGUESS="`perl -e "printf ('%.3f', $isdnKOSTEN / $(date +%d) * 30.25);"`"


echo "For $MONTH of $YEAR the following:"
echo
echo -e "Totallay that are\t$isdnMAIN seconds,"
      echo -e "\t\t\t$isdnTAGE days,"
      echo -e "\t\t\t$isdnSTUNDEN hours, or"
      echo -e "\t\t\t$isdnMINUTEN mins."
      echo
      echo -e "\t\t\tThat are $isdnKOSTEN DM."
      echo -e "\t\t\tMy guess for the whole month: $isdnGUESS DM."



